#!/bin/bash

# generate the data  activity file  from a packet trace file for a list of fid
if [ $# -ne 2 ] ; then
        echo "$0 <tracefile> fid_list"
	echo fid_list: \*, "{n1 n2}", n
        exit 1
fi

tmp=$(mktemp tmp.XXXXX)
cat >$tmp <<EOF
set opt(wd)     $PWD
set conf(pkt)     { {Flow { \
                            { $2 {activity }} \
                          } \
                    } \
                    {Queue { \
                           } \
                    } \
                  }
set conf(parameter) {{bottlebw 1Mb}}
EOF

cp -f $1 temp.pkt
ns  $LIBSUITE/post.tcl -prefix temp -f $tmp -quiet 0
