#!/bin/bash
#   trace the activity of the flow at the destination

if  [ $#  -lt 2 ] ; then
        echo "Usage: $0 PKTEILE FID"
        exit 1
fi

cat $1 | awk 'BEGIN {dst=-1};
                    $8 != fid {next}
                    $1~/^r/ { if ( dst == -1) dst = int($10);
	                      if ($4==dst) print $0;
                              next } 
                    $1~/^\+/ {if ($3==dst) print $0}' fid=$2 

